package config

import (
	"kpt-pasture/http/middleware"

	"gitee.com/xuyiping_admin/pkg/apierr"
	"gitee.com/xuyiping_admin/pkg/ginutil"
	"github.com/gin-gonic/gin"
)

func BarnTypeOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.BarnTypeOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func BarnListOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.BarnListOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func BreedStatusOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.BreedStatusOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func CowKindOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.CowKindOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func CowSourceOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.CowSourceOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func CowStatusOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.CowStatusOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func CowTypeOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.CowTypeOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}

func CowTransferPenReasonOptions(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.CowTransferPenReasonOptions(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}
