package route

import (
	"kpt-pasture/http/handler/event"

	"github.com/gin-gonic/gin"
)

func EventAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// pasture API 组  牧场管理
		pastureRoute := authRouteGroup(s, "/api/v1/event/")
		pastureRoute.POST("/enter/list", event.EnterEventList)
		pastureRoute.POST("/enter/create", event.EnterEventCreate)
	}
}
